with GNATCOM.Dispinterface;

package MSHTML.IDOMUIEvent_Object is

   type IDOMUIEvent_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_view
     (This : IDOMUIEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_detail
     (This : IDOMUIEvent_Type)
     return GNATCOM.Types.VARIANT;

   procedure initUIEvent
     (This       : IDOMUIEvent_Type;
      eventType  : GNATCOM.Types.VARIANT;
      canBubble  : GNATCOM.Types.VARIANT;
      cancelable : GNATCOM.Types.VARIANT;
      view       : GNATCOM.Types.VARIANT;
      detail     : GNATCOM.Types.VARIANT;
      Free       : Boolean := True);

end MSHTML.IDOMUIEvent_Object;

